%define name grapper 
%define version 0.90
%define release 1mdk

Summary : Usenet binary file grapper
Name: %name
Version: %version
Release: %release
Copyright: GPL
URL: http://www.angelfire.com/ns/grapper        
Group: Networking/News
Source: %{name}-%{version}.tar.bz2
BuildRoot: %_tmppath/%{name}-buildroot

%description
Grapper is a simple usenet binary file grapper. Currently there are
5 file types supported which are .bmp .jpg .gz .gif .zip. All
other formats could also be supported just don't know why. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

%make

%install

mkdir -p $RPM_BUILD_ROOT%_bindir
install -m 755 grapper $RPM_BUILD_ROOT%_bindir/
mkdir -p $RPM_BUILD_ROOT%_datadir/pixmaps/grapper
install -m 644 pixmaps/*.xpm $RPM_BUILD_ROOT%_datadir/pixmaps/grapper/
install -m 644 pixmaps/*.jpg $RPM_BUILD_ROOT%_datadir/pixmaps/grapper/

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/grapper"\
title="Grapper"\
longtitle="Usenet binary file grapper"\
needs="x11"\
section="Networking/News"
EOF
)
 
%post
%update_menus
  
%postun
%clean_menus


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc COPYING Changelog INSTALL README 
%_bindir/*
%_datadir/pixmaps/grapper
%_menudir/*

%changelog
* Wed Dec 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.90-1mdk
- new in contribs
